<?php

namespace Sia\Vpos\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 * Source per le lingua della pagina di pagamento
 * per Sia
 * 
 * @author Cooder S.r.l. <info@cooder.it>
 */
class Languages implements \Magento\Framework\Option\ArrayInterface
{
    
    /**
     * Helper
     *
     * @var \Sia\Vpos\Helper\Data
     */
    protected $helper;
    
    /**
     * Constructor
     *
     * @param \Sia\Vpos\Helper\Data $helper
     */
    public function __construct(
        \Sia\Vpos\Helper\Data $helper
        )
    {
        $this->helper = $helper;
    }
    
    /**
     * Return array of options as value-label pairs
     *
     * @return array Format: array(array('value' => '<value>', 'label' => '<label>'), ...)
     */
    public function toOptionArray()
    {
        $result = [];
        foreach ($this->toArray() as $key => $label) {
            $result[] = ['value' => $key, 'label' => $label];
        }
        return $result;
    }
    
    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        $result = [];
        foreach($this->helper->getLanguageList() as $key => $item) {
            $result[$key] = __($item);
        }
        return $result;
    }
}
