<?php

namespace Sia\Vpos\Model;

/**
 * ConfigProvider per il metodo di pagamento SiaPay
 * 
 * @author Cooder S.r.l. <info@cooder.it>
 */
class VposPayConfigProvider implements \Magento\Checkout\Model\ConfigProviderInterface
{
    
    /**
	 * Oggetto per il recupero dei dati dalla configurazione
	 *
	 * @var \Magento\Framework\App\Config\ScopeConfigInterface
	 */
	protected $_scopeConfig;
	
	/**
	 * Store Manager
	 * 
	 * @var \Magento\Store\Model\StoreManagerInterface
	 */
	protected $_storeManager;
	
	/**
	 * Asset Repository
	 * 
	 * @var \Magento\Framework\View\Asset\Repository
	 */
	protected $_assetRepository;
    
	/**
	 * Costruttore
	 * 
	 * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
	 * @param \Magento\Store\Model\StoreManagerInterface $storeManager
	 * @param \Magento\Framework\View\Asset\Repository $assetRepository
	 */
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Magento\Store\Model\StoreManagerInterface $storeManager,
        \Magento\Framework\View\Asset\Repository $assetRepository
    )
    {
        $this->_scopeConfig = $scopeConfig;
        $this->_storeManager = $storeManager;
        $this->_assetRepository = $assetRepository;
    }
    
    /**
     * {@inheritDoc}
     * @see \Magento\Checkout\Model\ConfigProviderInterface::getConfig()
     */
    public function getConfig()
    {
        $logoPath = $this->_assetRepository->getUrl("Sia_Vpos::images/loghi_pagamento.png");
        
        $config = [
            'payment' => [
                'vposPay' => [
                    'hasLogo' => !empty($logoPath),
                    'logoSrc' => $logoPath
                 ]
            ]
        ];
        
        return $config;
    }
}